## ros-noetic-fetch-moveit-config 0.9.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(fetch_moveit_config)

find_package(catkin REQUIRED)

catkin_package()

install(
  DIRECTORY launch config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-fetch-moveit-config (0.9.1-1focal) focal; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Fri, 05 Mar 2021 08:00:00 -0000

ros-noetic-fetch-moveit-config (0.9.0-1focal) focal; urgency=high

  * Initial noetic release
  * Updates maintainers
  * Contributors: Eric Relson

 -- Sarah Elliott <selliott@fetchrobotics.com>  Sun, 28 Feb 2021 08:00:00 -0000

ros-noetic-fetch-moveit-config (0.8.2-1focal) focal; urgency=high

  * Fixed chomp configuration for porting to moveit melodic-devel (#124 <https://github.com/fetchrobotics/fetch_ros/issues/124>)
  * Merge pull request #122 <https://github.com/fetchrobotics/fetch_ros/issues/122> from dekent/melodic-devel
    Much more collision checking = much safer robot with minimal planning time increases
  * Merge pull request #116 <https://github.com/fetchrobotics/fetch_ros/issues/116> from umhan35/moveit-costomap
    [moveit_config] allow moveit octomap params to be overridden
  * add default moveit_octomap_sensor_params_file to move_group.launch
  * allow moveit octomap params to be overridden
  * Contributors: Carl Saldanha, David Kent, Yuma Hijioka, Zhao Han

 -- Sarah Elliott <selliott@fetchrobotics.com>  Tue, 06 Aug 2019 07:00:00 -0000

ros-noetic-fetch-moveit-config (0.8.1-1focal) focal; urgency=high

  * sync cmake_minimum_required: 2.8.12
  * Merge pull request #107 <https://github.com/fetchrobotics/fetch_ros/issues/107> from moriarty/update-ikfast-plugin
    [IKFast Plugin] Regenerate fetch_ikfast_plugin
    Fixes #103 <https://github.com/fetchrobotics/fetch_ros/issues/103>
  * Contributors: Alexander Moriarty, Carl Saldanha

 -- Sarah Elliott <selliott@fetchrobotics.com>  Thu, 04 Apr 2019 07:00:00 -0000

ros-noetic-fetch-moveit-config (0.8.0-1focal) focal; urgency=high

  * [package.xml] REP-140 package format 2 (#104 <https://github.com/fetchrobotics/fetch_ros/issues/104>)
    closes #83 <https://github.com/fetchrobotics/fetch_ros/issues/83>
  * [MoveIt][Melodic]: MoveGroupExecuteService -> MoveGroupExecuteTrajectoryAction (#94 <https://github.com/fetchrobotics/fetch_ros/issues/94>)
  * [Docs] Add URL tags to package for wiki.ros.org (#90 <https://github.com/fetchrobotics/fetch_ros/issues/90>)
    The <url> tag is required to automatically fill in at least some info
    on the wiki pages. The extra tags will create links to our docs.
  * Contributors: Alex Moriarty, ivandariojr

 -- Sarah Elliott <selliott@fetchrobotics.com>  Wed, 13 Feb 2019 08:00:00 -0000

ros-noetic-fetch-moveit-config (0.7.14-1focal) focal; urgency=high

  * updates ownership
  * Contributors: Russell Toris

 -- Sarah Elliott <selliott@fetchrobotics.com>  Tue, 10 Jul 2018 07:00:00 -0000

ros-noetic-fetch-moveit-config (0.7.13-1focal) focal; urgency=high

  * add apply_planning_scene
  * [moveit_config] Add CHOMP planner demo launch.
    Enabling CHOMP on RViz by following the [tutorial](http://docs.ros.org/kinetic/api/moveit_tutorials/html/doc/chomp_interface_tutorial.html) (which currently included false information. I'll open a PR right after this).
    Tested on Xenial-Kinetic
    This commit is not necessarily intended to merged in. But would be nice to be kept for the entire MoveIt! community as a reference if possible. At least this will remain on the fork of @130s.
    *This PR is sponsored by [PlusOne Robotics](http://plusonerobotics.com) as part of [World MoveIt! Day 2017 hackathon](http://moveit.ros.org/events/world-moveit-day-2017)*
  * Contributors: Isaac I.Y. Saito, Shingo Kitagawa

 -- Sarah Elliott <selliott@fetchrobotics.com>  Thu, 02 Nov 2017 07:00:00 -0000

ros-noetic-fetch-moveit-config (0.7.12-1focal) focal; urgency=high

  * add dependency for moveit
  * Contributors: Michael Ferguson

 -- Sarah Elliott <selliott@fetchrobotics.com>  Wed, 02 Aug 2017 07:00:00 -0000

ros-noetic-fetch-moveit-config (0.7.11-1focal) focal; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Mon, 31 Jul 2017 07:00:00 -0000

ros-noetic-fetch-moveit-config (0.7.10-1focal) focal; urgency=high

  * update package.xmls, add depend on fetch_ikfast_plugin
  * load the ikfast kinematics plugin
  * Contributors: Di Sun, Michael Ferguson

 -- Sarah Elliott <selliott@fetchrobotics.com>  Thu, 27 Oct 2016 07:00:00 -0000

ros-noetic-fetch-moveit-config (0.7.9-1focal) focal; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Tue, 26 Jul 2016 07:00:00 -0000

ros-noetic-fetch-moveit-config (0.7.8-1focal) focal; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-noetic-fetch-moveit-config (0.7.7-1focal) focal; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Mon, 20 Jun 2016 07:00:00 -0000

ros-noetic-fetch-moveit-config (0.7.6-1focal) focal; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Thu, 26 May 2016 07:00:00 -0000

ros-noetic-fetch-moveit-config (0.7.5-1focal) focal; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Sun, 08 May 2016 07:00:00 -0000

ros-noetic-fetch-moveit-config (0.7.4-1focal) focal; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Wed, 16 Mar 2016 07:00:00 -0000

ros-noetic-fetch-moveit-config (0.7.3-1focal) focal; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Sat, 05 Mar 2016 08:00:00 -0000

ros-noetic-fetch-moveit-config (0.7.2-1focal) focal; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Wed, 24 Feb 2016 08:00:00 -0000

ros-noetic-fetch-moveit-config (0.7.1-1focal) focal; urgency=high



 -- Sarah Elliott <selliott@fetchrobotics.com>  Wed, 20 Jan 2016 08:00:00 -0000

ros-noetic-fetch-moveit-config (0.7.0-1focal) focal; urgency=high

  * fix dependency issue with run/test duplication
  * add missing moveit_python depend
  * fix name of gripper fingers in fake controllers
  * Contributors: Michael Ferguson

 -- Sarah Elliott <selliott@fetchrobotics.com>  Tue, 29 Sep 2015 07:00:00 -0000

ros-noetic-fetch-moveit-config (0.6.2-1focal) focal; urgency=high





=== debian/control ===
Source: ros-noetic-fetch-moveit-config
Section: misc
Priority: optional
Maintainer: Sarah Elliott <selliott@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-fetch-description, ros-noetic-rostest
Homepage: http://moveit.ros.org/
Standards-Version: 3.9.2

Package: ros-noetic-fetch-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-fetch-description, ros-noetic-fetch-ikfast-plugin, ros-noetic-joint-state-publisher, ros-noetic-moveit-fake-controller-manager, ros-noetic-moveit-kinematics, ros-noetic-moveit-planners-ompl, ros-noetic-moveit-python, ros-noetic-moveit-ros-move-group, ros-noetic-moveit-ros-visualization, ros-noetic-moveit-simple-controller-manager, ros-noetic-robot-state-publisher, ros-noetic-rospy, ros-noetic-xacro
Description: An automatically generated package with all the configuration and launch files for using the fetch_urdf with the MoveIt Motion Planning Framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-fetch-moveit-config//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
